picard.sam

## Interface PrimaryAlignmentSelectionStrategy

- All Known Implementing Classes:
    BestEndMapqPrimaryAlignmentStrategy, BestMapqPrimaryAlignmentSelectionStrategy, EarliestFragmentPrimaryAlignmentSelectionStrategy, MostDistantPrimaryAlignmentSelectionStrategy

      public interface PrimaryAlignmentSelectionStrategy

  Given a set of alignments for a read or read pair, mark one alignment as primary, according to whatever strategy is appropriate. Any pre-existing primary designation is ignored, so if the aligner has selected an appropriate primary alignment, this class should not be called.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `pickPrimaryAlignment(picard.sam.HitsForInsert hitsForInsert)` When this method returns, one alignment has been marked as primary according to the implementation's strategy.

- - ### Method Detail

    - #### pickPrimaryAlignment

          void pickPrimaryAlignment(picard.sam.HitsForInsert hitsForInsert)

      When this method returns, one alignment has been marked as primary according to the implementation's strategy.